Bug 1570880 - [drm:drm_atomic_helper_wait_for_flip_done [drm_kms_helper]] *ERROR* [CRTC:37:pipe A] flip_done timed out
Summary: [drm:drm_atomic_helper_wait_for_flip_done [drm_kms_helper]] *ERROR* [CRTC:37:...
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-23 15:44 UTC by redg3ar
Modified: 2018-05-01 10:58 UTC (History)
17 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2018-05-01 10:58:16 UTC


Attachments (Terms of Use)

Description redg3ar 2018-04-23 15:44:32 UTC
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible: Might need a Dell XPS 13 9560


Steps to Reproduce:
1. Start up laptop
2. Log in

Actual results: Laptop freezes, no response to input


Expected results: Able to use laptop normally


Additional info: I had this bug when I used arch linux previously, I could only solve it by going back to linux-lts, it was eventually fixed in the main kernel a few weeks later.

This is my first time using bugzilla.

Comment 1 redg3ar 2018-04-23 16:37:21 UTC
Does not occur on 4.17

Comment 2 Rob Hicks 2018-04-30 12:35:26 UTC
This is also happening on a Lenovo X1 Yoga 3rd Gen.  Just upgraded from Fedora 27 to 28.  Around 2/3 of the time the freeze occurs at gdm login screen. The other 1/3 of the time it occurs within 30 seconds of usable gnome shell desktop.

Freeze occurs for kernels
4.16.4-300.fc28.x86_64 
4.16.4-200.fc27.x86_64 [Note, I never tested this kernel on Fed 27 it was installed just before upgrade]

but not on
4.16.3-200.fc27.x86_64

Comment 3 Rob Hicks 2018-05-01 06:01:38 UTC
This appears to be fixed (so far, no freezes) with 4.16.5-300.fc28.x86_64.


Note You need to log in before you can comment on or make changes to this bug.